#!/usr/bin/perl
use strict;
use File::Find;

find(sub {
    open my $hfile, "<:encoding(cp1251)", $_  or warn "failed: $!" and return;
    
    my @data = <$hfile>;
    
    close $hfile;
    undef($hfile);
    
    chomp foreach @data;
    
    open $hfile, ">:encoding(utf8)", $_ or warn "failed: $!" and return;
    
    print $hfile "$_\n" foreach @data;
    
}, qw(Lib _test _doc));